
#include <plib.h>
#include "proj1.h"

// ******************************************************************
// Processor initialisation 
// ******************************************************************
void proc_init(void)
{
int Fpb;		// clock reteuned value from start up

	// Configure the device for maximum performance. 
	// This macro sets flash wait states, PBCLK divider and DRM wait states based on the specified
	// clock frequency. It also turns on the cache mode if avaialble.
	// We're using the PB clock frequency that was set automatically by this call.
	// Another option is to set the PB divider explicitely and then use a #define for the pbClk value.
	// **** perif clock is set to SYSCLK (72 or 80Mhz) / 2) = 36MHz
	Fpb=SYSTEMConfigPerformance(CCLK);
	DDPCONbits.JTAGEN=0; // disable jtag

}


// ******************************************************************
// blocking delay near enough 1ms
// ******************************************************************
void delayMS(int delay)
{
int j;

    while(delay--)
        for(j=0;j<7692;j++);
}

// ******************************************************************
// main, this is where all C programs start
// ******************************************************************
int main()
{
int j;
	proc_init();
	// RD0 is pin 2 of the Display connector
	// set RD0 as o/p
	TRISDCLR=0x0001;
	while(1) { // endless loop
		PORTDINV=0x0001;
		delayMS(500);
	}	
}	
